![FD to H2 Guide Cover](assets/FD to H2 Guide Cover.png)
{{FOOTER: %none}}

===

## Table of Contents

{{TOC}}

===

{{HEADER: %## - %p}}
## Some Questions You May Be Asking

**Can I use Highland to write a real screenplay?**

Absolutely! Highland converts your words into a properly-formatted, professional-looking script. Many produced screenplays from the last few years were written in Highland. Professional screenwriters swear by it.

> Highland is just a cleaner, purer way to be creative. My mind is calmer and less cluttered when I use it because I can write prose so easily and jump to dialogue when that’s more intuitive. In either case, Highland’s simplicity always kept us thinking.

> - Phil Lord, writer/director of The Lego Movie, 21 Jump Street  

**People say Final Draft is the industry standard. Is it?**

Not really. The industry standard format is PDF. That’s what people read. No matter what apps screenwriters use to write their scripts, they’re always delivered as PDF.

**Can Highland open Final Draft files?**

Yes. Highland can read Final Draft files, converting them to editable Fountain syntax. It can also directly convert many screenplay PDFs, saving you hours of re-typing.

**Can I go back to Final Draft if I need to?**

Yes. Highland can export to Final Draft’s .fdx format, as well as .rtf (which Word accepts).

**Does Highland 2 have production features like A/B pages?**

Not presently. Highland 2.0 is focused on features for writing rather than production. Check out the [Roadmap](https://quoteunquoteapps.com/highland-2/roadmap.php) to see a preview of features we’re working on for Highland.

**I don’t love Final Draft, but the devil you know, right?**

Final Draft may be familiar, but that doesn’t mean it’s good. In addition to frustrating quirks, it has major limitations you’re probably not even noticing. You wouldn’t settle for less than your best in your writing. Why should you settle with the app you use to write?

===
## Getting Started In 30 Seconds

Open a new document in Highland. (**File > New**)

Just start typing. Seriously, just type. Leave a blank line between paragraphs.

![GS---Just-Write](assets/GS---Just-Write.jpg)

Writing dialogue? Type the character’s name in UPPERCASE. The line below it will become dialogue. If you have Live Margins turned on, Highland will automatically indent.

![GS---Dialogue](assets/GS---Dialogue.jpg)

+You never need to hit the Tab key. Just Return.+

Need a parenthetical? Put it in parentheses.

![GS---Parenthetical](assets/GS---Parenthetical.jpg)

===
Highland automatically recognizes scene headers like INT. and EXT, and also transitions like CUT TO:

![GS---Scene-Headers](assets/GS---Scene-Headers.jpg)

To see a preview of what you’ve written, tap the Preview button or choose **View > Go to Preview**.

![GS---Preview](assets/GS---Preview.jpg)

Congratulations! You’ve just mastered 90% of screenwriting in Highland.

===
## The Highland Philosophy 

**In Highland, the words come first.** You don’t need to think about margins or formatting. 

You’ll never see something like this:
![Philosophy--FD](assets/Philosophy--FD.jpg)
**Highland is clean and uncluttered.** Whether you prefer to write in full-screen or with the sidebar open, Highland stays out of your way. 

**Highland is for everything you write.** Final Draft and other screenwriting apps are so screenplay-specific that it’s awkward to use them for treatments, outlines or other documents. 

Highland can be your all-purpose writing app. It’s being used every day for novels, comic books, school papers and blog posts. 

+In fact, this e-book was written and produced entirely in Highland 2.+
 
You can download the original file for this document [here](https://quoteunquoteapps.com/downloads/Switching-from-Final-Draft-to-Highland2.highland).

===
## The Edit View: Everyday Screenwriting
![Edit-View---Editor](assets/Edit-View---Editor.jpg)

The Edit View is the place work gets done.

Switching from Final Draft means unlearning a few twitches:

1. Forget the Tab key. You don’t need it. 
2. Blank lines matter. Separate paragraphs with an empty line.
3. Character names over dialogue are UPPERCASE. (Highland will auto-complete names once you’ve used them.)
4. The next line after a character name is always dialogue or a parenthetical.

Unlike Final Draft, you’ll never get trapped in a situation where it keeps trying to make something the wrong element. You can forget this:

![Edit-View---FD](assets/Edit-View---FD.jpg)

You don’t need to tell Highland whether something is a character name or dialogue or action. Highland is smart enough to figure that out.

Just keep writing the words. Keep moving down the page.

### Live Margins

By default, Highland 2 ships with Live Margins turned on. This means that as you type, elements like character names, dialogue and transitions are automatically indented in the Edit view to give you a sense of how they’ll look in the final document. 

For users switching from Final Draft, **we recommend leaving Live Margins on.** This way, you’re less likely to get tripped up by your habits from Final Draft. You’ll see the formatting happening while you write.

If you don’t like the text jumping around, you can turn them on or off by going to **View > Live Margins**.

### Bold, Italics and Underline

Like Final Draft, Highland uses the standard keyboard shortcuts for Bold (⌘B), Italic (⌘I) and Underline (⌘U). 
![Edit-View---Bold-Italic](assets/Edit-View---Bold-Italic.jpg)

But there’s an important difference. Because it’s a plain-text editor, Highland shows the markup in the document. You’ll spot extra * and _ characters in the Edit view.

In fact, you can type the * and _ yourself if you want. There’s nothing magic about any of the formatting commands. They’re simply adding the asterisks and underscores.

When you switch to Preview, these extra symbols are gone.
![Edit-View---Bold-Italic-Preview](assets/Edit-View---Bold-Italic-Preview.jpg)

### Preferences and Themes

Highland lets you customize the editor in ways Final Draft never could.
![Edit-View---Preferences](assets/Edit-View---Preferences.jpg)

In Preferences (**Highland > Preferences**), you can set your preferred font, column width and line spacing for the Edit View. 

Maybe you want a larger font, tighter margins, and looser spacing while you scrutinize dialogue. 

Maybe you want to shrink things down and space them out to see as many lines of a scene as you can at once while you review an action sequence.

Experiment. See what you like. No matter what choices you make for the Edit view, you’re not altering any of the final formatting.

### Have It Your Way

In addition to changing the font and margins, Highland 2 offers multiple themes to choose from, with light and dark variants. Pick a color scheme that suits your preferences or the time of day.

![Edit-View---Themes](assets/Edit-View---Themes.jpg)

Use **View > Show Page Breaks** to turn on markers in the Edit view to show what page you’re working on.

There’s also **Typewriter Scrolling** in the View menu. If you’ve never tried it before, give it a shot. There’s a real sense of flow that can come from keeping your current line at a static point on the screen.

[[To go full minimalist, Auto-Hide the Toolbar with ⌘T. Hover near the top of the window to see it again.]]

### Synopses and Notes

Highland gives you two options for writing notes to yourself within the text of your document. Both appear in the Edit view and the sidebar, but stay hidden by default when you print or export.

**Synopses** start with an equal sign `=`. Their subtle shading blends in with your standard text.

Synopses are incredibly useful for sketching out a scene. Since they won’t be printed in the final screenplay, you can leave them in if you like.

![Edit-View---Synopses](assets/Edit-View---Synopses.jpg)

**Notes** are surrounded by `[[double brackets]]` and have a vibrant color. This makes them best suited for marking things you don’t want to miss. 

![Edit-View---Notes](assets/Edit-View---Notes.jpg)

Unlike synopses, which are always on their own lines, notes can be placed anywhere. They’re like Final Draft’s “ScriptNotes”, except that you never need to expand them to see the text.

You can insert a note by pressing ⌘/, or typing the double brackets yourself.

===
**Omits** allow you to leave something where it is, while not having it print or export. 

Select the text to be omitted and press ⌘Y.

![Edit-View---Omit](assets/Edit-View---Omit.jpg)

Omits serve the same function as Final Draft’s “Omit Scene”, but they’re a lot more flexible. You can use them to omit just a few lines, or whole pages of text.

===
### Getting It Done

Writing won’t happen unless you make the time and keep at it. Highland 2 has features that encourage you to stick to the habit and get words on the page.

#### Sprints

In the top right corner of the Toolbar you’ll see the Sprint icon. Click it and enter how many minutes you want to commit to a focused writing or editing session.

![Get-it-done---Sprint](assets/Get-it-done---Sprint.jpg)

Click Go to launch the timer.

Highland will display a progress bar in the toolbar showing you how far along you are in the Sprint. Highland tracks your work across all the tabs you have open, so if you’re multitasking, everything will tally together.  

You can stop a Sprint at any time by clicking the progress bar to open the popup and clicking the Stop button.

When your Sprint is over, the results of words added or removed will be added to your history. There you can see a record of past sprints and a link to tweet about your progress.

===
#### Stats and Goal Tracking

The Statistics panel in the Sidebar shows you information about your document. You can find it by choosing **View > Show Statistics** or ⌘3. Here you’ll find:

![Get-it-done---Stats](assets/Get-it-done---Stats.jpg)
- Total word count for your document
- Number of words in a selected section
- Total character (letters) count for your document
- Number of characters in a selected section
- Page count (based on your current template)
- Estimated Reading Time

Clicking the text inside the circle at the top of the Statistics panel lets you set a goal, either in words or pages. Type in your target, and the circle will fill in to show your progress.

===

### The Sidebar

Highland 2’s Sidebar offers a lot of helpful features—including staying out of your way.

![Sidebar---Panels](assets/Sidebar---Panels.jpg)

Access Highland’s Sidebar by pressing ⌘0 or selecting **View > Hide/Show Sidebar**.

The size of text in the Sidebar, and whether or not you want to include the markup syntax in the Sidebar view, is adjustable in Highland’s Preferences menu.

![Sidebar---Preferences](assets/Sidebar---Preferences.jpg)

### The Navigator
![Sidebar---Navigator](assets/Sidebar---Navigator.jpg)

The Navigator shows you the shape of your document as an outline. You can use the various types of syntax (Sections, Scene Headings, Synopses, and Notes) as markers to view and move through your document. Click any item in the Navigator to jump to that section.

You can also choose what types of information to display in the Navigator by selecting the Eye icon on the bottom of the Sidebar, or by typing in the Filter text entry box to search your outline for specific words or phrases.

The best way to make use of the Navigator is to learn about the adaptable tools Highland uses for outlining.

### Outlining

Highland’s outlining tools are designed to be simple, flexible and powerful.

**Section headers** begin with a `#` followed by a space. To create a sub-section, just add another: `##`. You can nest sub-sections as far down as you find useful.

![Sidebar---Outlining](assets/Sidebar---Outlining.jpg)

By default, **section headers aren’t included in screenplay PDFs**, so feel free to use them liberally and leave them in your script. 

Synopses and notes are incredibly useful for outlining. They automatically nest underneath the section or scene heading  above them.

![Sidebar---Synopses](assets/Sidebar---Synopses.jpg)

Are you a person that likes to think in broad strokes, and create clear act breaks? You may prefer simple section headers (#) and standard scene headings (INT/EXT), perhaps with synopses (=) to summarize individual scenes.

Do you want to break your story down in terms of sequences? You can create a more detailed hierarchy with multiple levels (i.e. #, ### or ###), and group your scenes accordingly under each sub-heading.

Experiment to find a style that works for you.

===
### Other Sidebar Tools

**The Bin** (⌘2) is one of Highland’s handiest features. Modeled after the bins in non-linear video editors, the Bin lets you hold onto scraps of text, from single lines to multiple scenes. Just drag them in and out. You can also double-click to edit these sections directly in the Bin.

![Sidebar---Bin](assets/Sidebar---Bin.jpg)

Rearranging scenes? Try using Bin rather than a lot of copy-and-pasting. And if you’ve ever used a separate “scratch file” to hold onto cut scenes and snippets from your script, you’ll love how the Bin keeps them at your fingertips.

**Statistics** (⌘3) provides basic information on your document. (Covered in the Getting Things Done section of this guide.)

The fourth tab (⌘4) is **Assets.** This is where you store photos and other files to include in your document. 

**The Scratch Pad** (⌘5) gives you a single panel to make notes outside of the document. Unlike the Bin, it’s a single block of text. 

Some writing teams use the Scratch Pad for notes about the document itself.

Others use it for reminders, such as [banned phrases](https://johnaugust.com/2016/the-workaholics-list-of-banned-phrases).

Treat the Scratch Pad like a blank sheet of paper, just off to the side.

## The Other Bits

### Fountain Cheat Sheet

Choose **Fountain Cheat Sheet** from the Help menu for a quick reference on how Highland handles formatting.

### Forced Page Breaks

To force a new page, put three equal signs: `===`. Leave blank lines above and below it.

![Other-Bits---Page-Breaks](assets/Other-Bits---Page-Breaks.jpg)

### Centering

Center text by wrapping it with `>` and `<`: `> ACT TWO <`. Or choose **Center** from the Format menu.

### Dual Dialogue

For Dual Dialogue, put a `^` after the name of the second character. So, for example:

![Other-Bits---Dual-Dialogue-Edit](assets/Other-Bits---Dual-Dialogue-Edit.jpg)

===
would format as:

![Other-Bits---Dual-Dialogue-Preview](assets/Other-Bits---Dual-Dialogue-Preview.jpg)


### Headers and Footers

For screenplays, Highland 2 will automatically add page numbers in the upper right corner, beginning on page 2. But you can easily override the defaults to create a custom header or footer for your script.

To add a header or footer, select **Insert Header** or **Insert Footer** from the Format menu. Or, like all things in Highland, you type it yourself: `{{HEADER: title}}` or `{{FOOTER: title}}`

In addition to the title, you can customize your header or footer with any of the following options:

- `%p` current page number
- `%pp` number of pages
- `%#` current section title (changing the number of `#` symbols changes what level of section headers are filled in)
- `%none` turn off header or footer

You can combine options, such as showing the current page number out of the total pages. `{{HEADER: %p of %pp}}`

**Headers and Footers begin on the page where you put them**, and continue until the end of the document (unless you stop them with a `%none` option). 

Here’s why this is useful: you can change the header at any point in your screenplay. For example, maybe you have a post-credits scene that you don’t want to be numbered with the rest of the pages. So instead, you could make a custom header just for that page:

`{{HEADER: POST-CREDITS SCENE}}`

===
### Title Pages

The title page is the first thing anyone reading your script will see. It’s also the first text in your document.

You have two choices for making title pages in Highland 2.

#### The Standard Way

Choose **Title Page...** from the Format menu.

A pop-up will show you the available fields with dummy text, which you can edit or delete depending on what your title page should display.

After pressing **Insert,** the elements will appear at the top of the document with your text filled in. Recognized title page elements include:

- Title
- Credit (as in Written by)
- Author (or Authors)
- Source (if an adaptation)
- Copyright
- Draft Date
- Contact 

You can add a title page manually this way, too. If you were to fill it in like this: 

`Title: Big Fish
Credit: written by
Author: John August
Source: based on the novel by Daniel Wallace
Notes:	
	FINAL PRODUCTION DRAFT
	includes post-production dialogue 
	and omitted scenes
Copyright: (c) 2003 Columbia Pictures`

You would end up with a title page that looks like this:

![Other-Bits---Big-Fish-Title-Page](assets/Other-Bits---Big-Fish-Title-Page.jpg)
If you have a section that runs for multiple lines — like the Notes section in this example — use a tab at the start of each subsequent line.

#### The Flexible Way

Fountain’s default title pages work well for most screenplays, but there are times when you want a little more control over where text is placed. Highland 2’s flexible title pages give you more choice.

You can think of the title page having six regions, each with its own name.

![Other-Bits---Title-Page-Grid](assets/Other-Bits---Title-Page-Grid.jpg)
At the head of the document, you can use these tags to place text on the title page. 

Here’s an example:

CC: 	**THE WRATH OF GRAPES**
	
	
	screenplay by
	
	John August
	
	
	based on the novel by
	
	John Steinbeck
	
BR: 	3.18.2016
BL: 	Fake Producer Name
	fake@emailaddress.com

This would result in:
![Other-Bits---Wrath-Grapes-Page](assets/Other-Bits---Wrath-Grapes-Page.jpg)
You can spell out the region name (e.g. Center Center) or just use the short code (CC). Uppercase and lowercase are both fine.

If you have multiple lines to put into one region, **use tabs on the subsequent lines**.

Here’s where you’re likely to get tripped up: **blank lines need tabs, too.** It’s how Highland knows you’re still doing the title page, rather than the script itself.

Here’s what the example above looks like if we Show Invisibles (**View > Show Invisibles**):

![Other-Bits---Title-Page-Invisibles](assets/Other-Bits---Title-Page-Invisibles.jpg)
Both Standard and Flexible title pages automatically add a page break after the title page.

### Scene Numbers

Highland 2 can automatically append scene numbers to all your scenes by choosing the Add Scene Numbers command from the Tools menu.

Need to renumber your scenes? Run the Add Scene Numbers command again. The Remove Scene Numbers command in the Tools menu deletes them all.

You can manually add scene numbers by enclosing a number in `#` symbols. For example `#2#`.

![Other-Bits---Scene-Numbers](assets/Other-Bits---Scene-Numbers.jpg)

Highland will let you number any element, not just scene headers. In some cases, you may find yourself numbering items in a montage, for example.

===
## Preview and Printing: Making it Look Great

### Edit and Preview

To see the actual PDF that Highland exports from your text file, choose **Go to Preview** from the View menu (⌘E). You can also click on the Preview icon in the header.

![Preview---Header](assets/Preview---Header.jpg)

### Printing and Exporting

The button at the bottom of the Preview exports your formatted document as a PDF. You can also choose **Save as PDF...** from the File menu.

Also in the File menu, you have the option to save your script as a Final Draft (.fdx) file, or as RTF.

Printing works like any other application: Press ⌘P or select **Print** from the File menu to open the printer dialog box. Any settings you select in the Preview will carry over.

If you need to adjust your paper size — for example, switching to A4 paper — you can find that setting in **File > Page Setup**.

===
##Character Highlighting

Character Highlighting, available in the **Tools** menu, shows you a list of all characters with dialogue in your script. The list can be sorted alphabetically, by order of appearance, or by number of lines.

![Characters---Highlighting](assets/Characters---Highlighting.jpg)

You can also click the circle next to a character’s name to highlight their dialogue. Highlighting appears in both the Edit and Preview views.

===
##Gender Analysis

Gender Analysis can also be found in the **Tools** menu. This feature allows you to mark your characters as Male, Female, or Unspecified to help give you a sense of the gender balance in your script. The tool will calculate the number and percentages of characters of each gender, the number of lines of dialogue, and the number of words spoken. 

![Gender-Analysis---Window](assets/Gender-Analysis---Window.jpg)

It also keeps track of how many scenes include at least two women interacting. It’s not quite the Bechdel Test, but can be informative. Improving gender representation in media can start on the page!

===
## Beyond Screenplays: Using Templates

Highland isn’t just for screenplays. It offers a variety of document styles. Click the Template name in the the Toolbar to see your choices.

![Beyond-Screenplay---Templates](assets/Beyond-Screenplay---Templates.jpg)

Highland’s templates come in two varieties. Fountain templates are for screenplays and related formats. Markdown templates are for everything else.

### Fountain-based Templates

Highland’s Fountain templates are designed for writing with characters and dialogue. 

#### Screenplay

The default for film and television. All the examples in this guide have been showing the Screenplay template.

===
#### Stage Play

Similar to screenplays, but with large left margins for stage directions, underlined scene headings, and non-italicized, uppercase lyrics.

![Beyond-Screenplay---Stageplay](assets/Beyond-Screenplay---Stageplay.jpg)

===
#### Multi-Cam

The standard variant of screenplay format for multi-camera production: Double spaced dialogue, underlined scene headings, and uppercase action and description.

![Beyond-Screenplay---Multicam](assets/Beyond-Screenplay---Multicam.jpg)

===
#### Graphic Novel

Unlike screenplays, there is not one standard format for graphic novels. Highland’s template is based on layouts commonly used by DC. **In the graphic novel template, section headers (e.g. # and ##) are printed.** This is useful for marking pages and panels.

![Beyond-Screenplay---Graphic-Novel](assets/Beyond-Screenplay---Graphic-Novel.jpg)

### Markdown-based Formats

Highland’s Markdown templates are for almost every other kind of document. In these templates, headers (e.g. # and ##) function as headlines and subheads. They’re included in the finished document, with styling dependent on the template.

#### Pitches, Treatments and Outlines

Highland’s official **Treatment** template is formatted in Courier Prime. 

But you’re certainly not limited to using that template. Consider using **Modern Standard, Article** or **Guidebook** if one of these better suits your needs. (This e-book uses the Modern Standard template.)

#### Manuscript

Manuscript is double-spaced format for book submissions. This template option allows you to choose from different fonts for your headers and body text.

#### Other Stuff

The Bulletin template is great for signs. Even passive-aggressive ones.

![Beyond-Screenplay---Trash](assets/Beyond-Screenplay---Trash.jpg)


===
## Advanced Topics

Highland will generally read and format your document exactly as you expect. In unusual cases, you may need to signal what you want it to do with an ambiguous bit of text. 

### Forced Scene Headings

To use a scene heading that doesn’t start with INT. or EXT., add a period at the beginning of the line. For example: `.UNDER THE TABLE`

![Advanced---Forced-Scene-Header](assets/Advanced---Forced-Scene-Header.jpg)

### Forced Transitions

You can force text to be formatted as a transition by starting or ending a line with `>`.

![Advanced---Forced-Transition](assets/Advanced---Forced-Transition.jpg)

### Forced Action

In rare cases, you may have several uppercase lines stacked together for effect. To force Highland 2 to treat these as action lines rather than dialogue, add an exclamation point at the beginning of each one.
 
![Advanced---Forced-Action](assets/Advanced---Forced-Action.jpg)

For more information, check out the **Fountain Cheat Sheet** in the Help menu. You can find even more esoteric details at the [the official Fountain site](http://fountain.io) .

===
### Importing from PDF

To convert a PDF script into a plain text document that you can edit, just Open a PDF using Highland 2.

*That’s it.*

Highland melts the PDF, turning the script elements into a new document.

Not every PDF can be converted. Some PDFs are really just a series of images, without any text underneath. And some apps generate really strange PDFs that Highland has a hard time processing.

If there are issues with the conversion of your PDF, you can Send Feedback (in the upper right corner of the window) with the information about the PDF and the specific differences between the PDF and the file Highland generated. In many cases, we can find a solution.

### Using Markers

Markers are little waypoints in your document that you can cycle through.

To place a marker, press Control-M or select **Insert Marker** from the Tools menu. You’ll see this in the Edit View: `{{%m}}`

You can cycle through the current markers by pressing Control-Option-M or selecting **Go to Next Marker** from the Tools menu.

Markers are helpful for jumping back and forth between related scenes. By pairing a marker with notes, you can easily cycle through places you need to make changes.

===
## Starred Revisions and Locked Pages

Screenplay revisions are commonly marked with asterisks in the margins to indicate what’s changed or new. In Final Draft, this is called “Revision Mode.” 

Highland 2.0 doesn’t offer starred revisions, but we have plans to add them in a future update. In the meantime, you may wish to use Highland’s +highlight feature+ (`+highlight+`) to mark sections as changed.

Locked pages and colored revisions are specialized production features that are not well-suited to Highland’s plain text philosophy. While it’s certainly feasible using hard-coded page breaks (`===`) and and custom headers, you’re generally better off jumping to Fade In or Final Draft for this tedious work, particularly if you’re cycling through multiple colored page revisions.

Highland can export to .fdx format, readable by both Final Draft and Fade In.

We’ll be honest: writing in Final Draft or Fade In is a little frustrating once you’ve gotten used to Highland. But you’re not trapped there. If you’re writing a new scene, consider writing it in Highland and importing it into the other app when you’re finished.

===
## What’s Next

We have big plans for the future of Highland. Some of the features in development include:

- Starred revisions
- Custom themes
- Custom templates (and more standard choices)
- Enhanced search with regular expressions
- Drag-and-drop editing in Navigator
- Online Sprint tracking
- Writer groups
- Locked pages
- Publish to Medium
- Tagged user notes
- Footnotes
- Markdown title pages
- DOCX import/export
- iOS companion app

By choosing Highland, you’re helping us achieve these goals sooner.

### How To Reach Us

Need to get in touch?

You can reach us in our [support form](https://quoteunquoteapps.com/highland-2/support) or contact us on Twitter [@qapps](https://twitter.com/qapps)

===

## Spread the Word

Since it launched in May 2018, Highland 2 has become the fastest-growing, best-reviewed writing app on the Mac — not just among screenwriters, but all writers. Thank you for your support.

If you’ve made the switch from Final Draft, either full-time or part-time, tell us and your friends by using the hashtag #highland2 on Twitter or Instagram.

We will soon have t-shirts that are as comfortable to wear as Highland is to use.

And if someone’s looking over your shoulder at a coffee shop wondering what app you’re using, consider paying it forward by giving them a brief tour and steering them towards this guide.

We’re all writers. We deserve a better way to write.